# Create unique catalog offer promotion

Creates a unique catalog offer promotion.

Endpoint: POST /v3/project/{project_id}/admin/unique_catalog_offer
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Request fields (application/json):

  - `external_id` (string, required)
    Unique promotion ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `date_start` (string,null)
    Date when your promotion will be started.

  - `date_end` (string,null)
    Date when your promotion will be finished. Can be null.  If date_end is null, promotion will be unlimited by time.

  - `name` (object, required)
    Name of promotion. Should contain key/value pairs
where key is a locale with "^[a-z]{2}-[A-Z]{2}$" format, value is string.

  - `items` (array)
    A list of items SKU that are available after using the unique catalog offer.
    Example: ["booster_mega_1"]

  - `redeem_user_limit` (integer,null)
    Limits total numbers of coupons redeemed by single user.

  - `redeem_code_limit` (integer,null)
    Number of redemptions per code.

  - `redeem_total_limit` (integer,null)
    Limits total numbers of coupons.

## Response 201 fields (application/json):

  - `external_id` (string)
    Unique promotion ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-1102]: Unprocessable Entity. The property `external_id` is required"


